export default IconMenu;
/** @type {React.ComponentType<any>} */
declare class IconMenu extends React.PureComponent<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    state: {
        active: boolean;
    };
    handleButtonClick: (event: any) => void;
    handleMenuHide: () => void;
    render(): JSX.Element;
}
declare namespace IconMenu {
    const propTypes: React.WeakValidationMap<any> | undefined;
    const defaultProps: Partial<any> | undefined;
}
import React from "react";
